WordPress.org

Ready to get started?Download WordPress

Forums

Simple Feed Stats
[resolved] Broken, database error (12 posts)

  1. lookslikepat
    Member
    Posted 1 year ago #

    When installing I get this error message (with DEBUG turned on):

    WordPress database error: [You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '(8) )' at line 12]
    CREATE TABLE wp_simple_feed_stats ( id mediumint(10) unsigned NOT NULL AUTO_INCREMENT, logtime varchar(200) NOT NULL default '', request varchar(200) NOT NULL default '', referer varchar(200) NOT NULL default '', type varchar(200) NOT NULL default '', qstring varchar(200) NOT NULL default '', address varchar(200) NOT NULL default '', tracking varchar(200) NOT NULL default '', agent varchar(200) NOT NULL default '', PRIMARY KEY (id), cur_timestamp TIMESTAMP(8) )
    On the settings page I get this:

    WordPress database error: [Table 'MYDBNAME.wp_simple_feed_stats' doesn't exist]
    SELECT * FROM wp_simple_feed_stats ORDER BY id DESC LIMIT 0, 3

    This breaks the feed because the error message is in the feed too.

    http://wordpress.org/extend/plugins/simple-feed-stats/

  2. Jeff Starr
    Member
    Plugin Author

    Posted 1 year ago #

    Hi lookslikepat, thanks for this feedback. Do you happen to know which version of PHP/MySQL you're running? Thanks.

  3. lookslikepat
    Member
    Posted 1 year ago #

    Sorry I forgot to write those down :)

    PHP v 5.4.8
    MYSQL v 5.1.62
    ( mysqlnd/mysqli v 5.0.10 )

  4. lookslikepat
    Member
    Posted 1 year ago #

    The MySQL version I entered wan't all that correct :P
    My PHP MySQL library version is 5.5.24, the MySQL server version is 5.1.62.

  5. lookslikepat
    Member
    Posted 1 year ago #

    I screwed up, forget those versions all together. I was trying this plugin on my local machine, not the online server.
    My local installs are as follows:
    PHP 5.4.6-1ubuntu1.1 (cli) (built: Nov 15 2012 01:23:47)
    mysql Ver 14.14 Distrib 5.5.28, for debian-linux-gnu (i686) using readline 6.2

  6. Jeff Starr
    Member
    Plugin Author

    Posted 1 year ago #

    Will try to get it sorted for the next update. From the error it looks like the database was not created due to a syntax error (or something). It's been working great on different setups, but apparently something happened. I'll look into it for the next update. Thank you for the infos!

  7. lookslikepat
    Member
    Posted 1 year ago #

    Don't mention it, thank You for an (I'm assumimg) awesome plugin! :)

  8. John Saddington
    Member
    Posted 1 year ago #

    [Sun Dec 16 12:09:04 2012] [error] [client 98.251.96.128] WordPress database error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '(8)\n\t\t)' at line 12 for query CREATE TABLE wp_simple_feed_stats (\n\t\t\tid mediumint(10) unsigned NOT NULL AUTO_INCREMENT,\n\t\t\tlogtime varchar(200) NOT NULL default '',\n\t\t\trequest varchar(200) NOT NULL default '',\n\t\t\treferer varchar(200) NOT NULL default '',\n\t\t\ttype varchar(200) NOT NULL default '',\n\t\t\tqstring varchar(200) NOT NULL default '',\n\t\t\taddress varchar(200) NOT NULL default '',\n\t\t\ttracking varchar(200) NOT NULL default '',\n\t\t\tagent varchar(200) NOT NULL default '',\n\t\t\tPRIMARY KEY (id),\n\t\t\tcur_timestamp TIMESTAMP(8)\n\t\t) made by require_once('wp-admin/admin.php'), require_once('wp-load.php'), require_once('wp-config.php'), require_once('wp-settings.php'), do_action('init'), call_user_func_array, sfs_create_table, dbDelta

    doh!

  9. Jeff Starr
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks for that John. Can you provide PHP/MySQL version as well? It would help.

  10. Ryan Bayne
    Member
    Posted 10 months ago #

    I'm using the latest version and seeing these errors in my log. Not got time to work on the syntax myself so I'll disable the plugin for now because the error is constant.

  11. Jeff Starr
    Member
    Plugin Author

    Posted 10 months ago #

    Thanks for the feedback Ryan.

  12. Jeff Starr
    Member
    Plugin Author

    Posted 9 months ago #

    Just to follow up with this.. these PHP errors should be fixed in the latest version (20130715). Please post anew if they persist, or if there are any other issues. Thanks!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic